### Function

# GObject TypeValueTable peek

#### Declaration

    GTypeValueTable*
    g_type_value_table_peek (
      GType type
    )

#### Description

Returns the location of the `GTypeValueTable` associated with `type`.

Note that this function should only be used from source code that implements or has internal knowledge of the implementation of `type`.

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `GType`

  A `GType`.

#### Return value

Type: `GTypeValueTable`

Location of the `GTypeValueTable` associated with `type` or `NULL` if there is no `GTypeValueTable` associated with `type`.

The data is owned by the called function.